Bug 245263 - [NEW PORT] multimedia/kodi-addon-game.libretro.picodrive-devel: Kodi game addon for Sega - MS/MD/CD/32X (PicoDrive)
Summary: [NEW PORT] multimedia/kodi-addon-game.libretro.picodrive-devel: Kodi game add...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on: 245259
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-02 01:41 UTC by rozhuk.im
Modified: 2021-02-28 18:56 UTC (History)
2 users (show)

See Also:


Attachments
patch (4.45 KB, patch)
2020-04-02 01:41 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-04-02 01:41:50 UTC
Created attachment 212962 [details]
patch

This is yet another Megadrive / Genesis / Sega CD / Mega CD / 32X / SMS
emulator, which was written having ARM-based handheld devices in mind
(such as smartphones and handheld consoles like GP2X and Pandora),
but also runs on non-ARM little-endian hardware too.

The emulator is heavily optimized for ARM, features assembly cores for
68k, Z80 and VDP chip emulation, also has dynamic recompilers for SH2
and SSP16 (for 32X and SVP emulation). It was started by Dave (aka fdave,
finalburn author) as basic Genesis/Megadrive emulator for Pocket PC,
then taken over and expanded by notaz.

PicoDrive was the first emulator ever to properly emulate Virtua Racing
and it's SVP chip.


This port is for multimedia/kodi-devel only.

WWW: https://github.com/libretro/picodrive
Comment 1 Bernhard Froehlich freebsd_committer 2021-01-21 08:37:51 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2021-02-28 18:56:16 UTC
A commit references this bug:

Author: decke
Date: Sun Feb 28 18:55:28 UTC 2021
New revision: 566792
URL: https://svnweb.freebsd.org/changeset/ports/566792

Log:
  This is yet another Megadrive / Genesis / Sega CD / Mega CD / 32X / SMS
  emulator, which was written having ARM-based handheld devices in mind
  (such as smartphones and handheld consoles like GP2X and Pandora),
  but also runs on non-ARM little-endian hardware too.

  The emulator is heavily optimized for ARM, features assembly cores for
  68k, Z80 and VDP chip emulation, also has dynamic recompilers for SH2
  and SSP16 (for 32X and SVP emulation). It was started by Dave (aka fdave,
  finalburn author) as basic Genesis/Megadrive emulator for Pocket PC,
  then taken over and expanded by notaz.

  PicoDrive was the first emulator ever to properly emulate Virtua Racing
  and it's SVP chip.

  WWW: https://github.com/libretro/picodrive

  PR:		245263
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/games/Makefile
  head/games/kodi-addon-game.libretro.picodrive/
  head/games/kodi-addon-game.libretro.picodrive/Makefile
  head/games/kodi-addon-game.libretro.picodrive/distinfo
  head/games/kodi-addon-game.libretro.picodrive/pkg-descr
Comment 3 Bernhard Froehlich freebsd_committer 2021-02-28 18:56:27 UTC
Committed. Thanks!